Search documentation of ExStreamClient

# ExStreamClient.Model.UpdateExternalStorageRequest (ExStreamClient v0.1.10)

View Source

Schema representing a UpdateExternalStorageRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.UpdateExternalStorageRequest{
      aws_s3: ExStreamClient.Model.S3Request.t() | nil,
      azure_blob: ExStreamClient.Model.AzureRequest.t() | nil,
      bucket: String.t(),
      gcs_credentials: String.t() | nil,
      path: String.t() | nil,
      storage_type: :abs | :gcs | :s3
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()